<template>
  <header class="checkout-header container">

    <nuxt-link to="/" class="checkout-header__logo">
      <Logo />
    </nuxt-link>

    <nav class="checkout-header__nav">

      <span class="checkout-header__back"
            @click="$router.go(-1)">
        <icon-arrow />
        Вернуться назад
      </span>

      <a class="checkout-header__phone"
         href="tel:74952121155">+7 495 212 11 55</a>

      <lk-btn></lk-btn>

    </nav>
  </header>
</template>

<script>
  import Logo from '../components/Logo';
  import LkBtn from '../components/LkBtn';
  import IconArrow from './icons/IconArrow';

  export default {
    name: 'CheckoutHeader',
    components: {
      IconArrow,
      Logo,
      LkBtn
    }
  }
</script>

<style scoped lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .checkout-header {
    position: relative;
    z-index: 2;

    display: flex;
    align-items: center;
    height: rem(120);

    padding-top: rem(30);
    padding-bottom: rem(40);

    &__logo {
      width: rem(160);
      height: rem(20);

      svg {
        fill: $blue;
        max-width: 100%;
        max-height: 100%;
      }
    }

    &__nav {
      flex: 1 1;

      display: flex;
      align-items: center;
      justify-content: space-between;

      margin-left: rem(70);
    }

    &__back {
      @include p2;

      display: block;
      color: rgba($black, .5);
      text-align: center;
      cursor: pointer;

      svg {
        margin-right: rem(12);
      }
    }

    &__phone {
      @include p2;
      color: $black;
    }
  }
</style>
